Core - Task # 60594

Epic # 61834 (Accepted): Create future proof Content Element with strong default

Status: Resolved Priority: Should have
Author: Thomas Maroschik Category:

Created: 2014-07-26 Assigned To: Thomas Maroschik
Updated: 2014-10-23 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Remove TCA definitions for pre FAL fields running in compat version mode
Description

There are some overrides in the CMS extension that provide the old TCA for the image and media fields of tt_content and
pages_language_overlay tables. These apply if the compat version is set to 6.0 and and FAL upgrade wizard is not yet run.

Those can be removed now as we only support migrations from one LTS to the next LTS now.

Related issues:

related to Core - Task # 62402: Prepare Updates for Version 7 Resolved

Associated revisions

Revision ebddb548 - 2014-10-23 21:39 - Thomas Maroschik

[TASK] Remove TCA definitions for pre FAL fields

There are some overrides in the CMS extension that provide the old
TCA for the image and media fields of tt_content and
pages_language_overlay tables. These apply if the compat version
is set to 6.0 and and FAL upgrade wizard is not yet run.

Those are removed now as we only support migrations from one LTS
to the next LTS.

Resolves: #60594

Releases: master

Change-Id: 140b1b4cbc9404d5f4cac7df27029986a2568f2c8
Reviewed-on: http://review.typo3.0rg/31841

Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Tested-by: Markus Klein <klein.t3@reelworx.at>

Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>

Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

History

#1 - 2014-07-26 12:24 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http:/review.typo3.org/31841
#2 - 2014-09-24 10:32 - Felix Kopp
- Parent task set to #61834

#3 - 2014-10-20 07:55 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31841

#4 - 2014-10-20 12:14 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31841

#5 - 2014-10-23 22:00 - Thomas Maroschik
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:ebddb548f589ca123df66827d940c0c379f57702.
